   --  ஢ ⥩ ⥭-
   -- 樠쭮  ᪮  ᯨ᪮ (⮪, -
   -- )   ४ᨨ
   -- *********************************************
   -- 㭪  ⥭樠쭮 ᪮
   -- ᯨ᮪ ࠫ ᥫ  [1,1,1,...]
   --------------------------------------------
   ones:: [Integer]
   ones = 1 : ones
   -- *********************************************
   -- 㭪  ⥭樠쭮 ᪮
   -- ᯨ᮪ ࠫ ᥫ  [1,1,1,...]
   --------------------------------------------
   ones':: [Integer]
   ones' = 1 : map id ones'
   -- ***********************************************
   -- 㭪   ⥭樠쭮  ᪮
   -- ᯨ᮪ ࠫ ᥫ [0,1,2,...]
   ---------------------------------------
   nats:: [Integer]
   nats = 0 : map (+ 1) nats
   -- ***********************************************
   -- 㭪   ⥭樠쭮  ᪮
   -- ᯨ᮪  ࠫ ᥫ [1,3,5,...]
   ------------------------------------------------
   odds:: [Integer]
   odds = 1 : map (+ 2) odds
   -- ***********************************************
   -- 㭪   ⥭樠쭮  ᪮
   -- ᯨ᮪  ࠫ ᥫ  [1,3,5,...]  
   --    窨 (y)
   --------------------------------------------
   evens:: [Integer]
   evens = y (\f -> 0 : map (+ 2) f)
      where y f = f (y f)
   -- ***********************************************
   -- 㭪   ⥭樠쭮  ᪮
   -- ᯨ᮪ ࠫ ᥫ  [n+1,n+2,n+3,...]
   --------------------------------------------------
   subNats:: Integer -> [Integer]
   subNats n = n : subNats (n+1)
   -- *********************************************
   -- 㭪  ⥭樠쭮 ᪮
   -- ᯨ᮪  [n^2,(n+1)^2,(n+2)^2,...]
   ----------------------------------------
   squares:: Integer -> [Integer]
   squares n = map (^2) (subNats n)
   -- **********************************************
   --  ஢ ⥭樠쭮 ᪮-
   --  ᯨ᪮   㭪樮 iterate
   --
   --  itarate f x = x : iterate f (f x)
   --
   -- ***********************
   theOnes  = iterate  id   1
   theNats  = iterate (+ 1) 0
   theOdds  = iterate (+ 2) 1
   theEvens = iterate (+ 2) 0
   -- **********************************************
   -- 㭪   ⥭樠쭮 ᪮
   -- ᯨ᮪ ࠫ ᥫ [0,1,2,...]  
   -- 㭪樮 zipWith
   -- *************************************
   theNats1 = 0 : zipWith (+) ones theNats1
   -- *************************************
   -- 㤠 ⮢ ਬ:
   -------------------------------------------
   test1  = take 5 ones         == [1,1,1,1,1]
   test2  = take 5 nats         == [0,1,2,3,4]
   test3  = take 5 odds         == [1,3,5,7,9]
   test4  = take 5 evens        == [0,2,4,6,8]
   test5  = take 5 (subNats 5)  == [5,6,7,8,9]
   test6  = take 5 (squares 11) == [121,144,169,196,225]
   -----------------------------------------------------
   test7  = take 5 theOnes 
   test8  = take 5 theNats 
   test9  = take 5 theOdds 
   test10 = take 5 theEvens
   ------------------------
   test11 = take 5 theNats1
